<template lang="pug">
    div.bg-fafafa
        div.a4.mx-auto.elevation-5.bg-ffffff.mt-3
            div.wrapper.ma-3
                div.row.mx-4.pt-4
                    div.col-4.border
                        small Project Code
                        div.text-center.w-100
                            | {{getAProject.data.attributes.code}}
                    div.col-2.border.border-left-0
                        small Trench
                        div.text-center.w-100
                            | {{getATrench.data.attributes.number}}
                    div.col-2.border.border-left-0
                        small Context Type
                        div.text-center.w-100
                            | MASONRY
                    div.col-2.border.border-left-0
                        small Site Code
                        div.text-center.w-100
                            | {{getASite.data.attributes.number}}
                    div.col-2.border.border-left-0
                        small Context
                        div.text-center.w-100
                            | {{getAMasonry.data.attributes.context.number}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Materials:
                        | {{getAMasonry.data.attributes.details.materials}}
                        br
                        | Size of Materials:
                        | {{getAMasonry.data.attributes.details.size_materials}}
                        br
                        | Finish of Stones:
                        | {{getAMasonry.data.attributes.details.finish}}
                        br
                        | Coursing/Bond:
                        | {{getAMasonry.data.attributes.details.bond}}
                        br
                        | Form:
                        | {{getAMasonry.data.attributes.details.form}}
                        br
                        | Direction of Faces:
                        | {{getAMasonry.data.attributes.details.direction}}
                        br
                        | Bonding Material:
                        | {{getAMasonry.data.attributes.details.bonding_material}}
                        br
                        | Dimensions of Masonry as Found:
                        | {{getAMasonry.data.attributes.details.dimensions}}
                        br
                        | Worked Stones:
                        | {{getAMasonry.data.attributes.details.worked_stones}}
                        br
                        | Comments:
                        | {{getAMasonry.data.attributes.details.other}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Stratigraphic Matrix
                        br
                        span.hover-delete.mx-1.border.p-1.pointer(v-for="(context, index) in getAMasonry.data.attributes.aboves")
                            | {{context.above}}
                        hr
                        div.row.mx-0
                            | This context is:
                            span.mx-auto.border.p-1 {{getAMasonry.data.attributes.context.number}}
                        hr
                        span.hover-delete.mx-1.border.p-1.pointer(v-for="(context, index) in getAMasonry.data.attributes.belows")
                            | {{context.below}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Interpretation:
                        | {{getAMasonry.data.attributes.details.interpretation}}
                    div.col-8.border.border-top-0
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Discussion:
                        | {{getAMasonry.data.attributes.details.discussion}}
                div.row.mx-4
                    div.col-4.border.border-top-0
                        | Plan Nos:
                    div.col-4.border.border-top-0.border-left-0
                        | Site book refs:
                    div.col-4.border.border-top-0.border-left-0
                        | Recorded By: {{getAMasonry.data.attributes.context.recorded_by}}
                div.row.mx-4
                    div.col-4.border.border-top-0
                        | Other Drawings:
                    div.col-4.border.border-top-0.border-left-0
                        | Matrix Location:
                    div.col-4.border.border-top-0.border-left-0
                        | Recorded Date:
                        span.float-right
                            | {{getAMasonry.data.attributes.context.recorded_date}}
                div.row.mx-4
                    div.col-8.border.border-top-0
                        | Photographs:
                        span(v-for="photo in getAMasonry.data.attributes.photos") {{photo}
                    div.col-4.border.border-top-0.border-left-0
                        | Checked By: {{getAMasonry.data.attributes.context.checked_by}}
                        hr
                        | Checked Date:
                        div.float-right
                            | {{getAMasonry.data.attributes.context.checked_date}}
                div.row.mx-4.pb-1
                    div.col-3.border.border-top-0
                        | Samples
                    small.logo DigABase
</template>

<script>
import { mapGetters } from "vuex";

export default {
    name: "cut",
    computed: {
        ...mapGetters({
            getAProject: "project/getAProject",
            getATrench: "trench/getATrench",
            getASite: "site/getASite",
            getAMasonry: "masonry/getAMasonry"
        })
    }
};
</script>

<style scoped>
.bg-fafafa {
    background: #fafafa;
}
.bg-ffffff {
    background: #ffffff;
}
.a4 {
    width: 70.71%;
    padding-bottom: 100%;
    position: relative;
    font-size: 1.25vw;
}
.wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.border {
    border-style: solid;
    border-width: 2px;
}
.border-top {
    border-top-style: solid;
    border-width: 2px;
}
.border-left {
    border-left-style: solid;
    border-width: 2px;
}
.border-right {
    border-right-style: solid;
    border-width: 2px;
}
.border-bottom {
    border-bottom-style: solid;
    border-width: 2px;
}
.border-top-0 {
    border-top-style: none;
}
.border-left-0 {
    border-left-style: none;
}
.border-right-0 {
    border-right-style: none;
}
.borser-bottom-0 {
    border-bottom-style: none;
}
.logo {
    font-family: "Audiowide", cursive;
}
</style>
